<?xml version="1.0"?>
<sprite>
  <imageset name="base" src="graphics/sprites/monsters/giantcavemaggot.png|W"
                        width="58" 
                        height="46"/>
  <action name="stand" imageset="base">
    <animation direction="down">
      <frame index="0"/>
    </animation>
    <animation direction="left">
      <frame index="10"/>
    </animation>
    <animation direction="up">
      <frame index="20"/>
    </animation>
    <animation direction="right">
      <frame index="30"/>
    </animation>
  </action>
  <action name="walk" imageset="base">
    <animation direction="down">
      <sequence start="1" end="4" delay="100"/>
    </animation>
    <animation direction="left">
      <sequence start="11" end="14" delay="100"/>
    </animation>
    <animation direction="up">
      <sequence start="21" end="24" delay="100"/>
    </animation>
    <animation direction="right">
      <sequence start="31" end="34" delay="100"/>
    </animation>
  </action>
  <action name="dead" imageset="base">
    <animation direction="down">
      <frame index="9"/>
    </animation>
    <animation direction="left">
      <frame index="19"/>
    </animation>
    <animation direction="up">
      <frame index="29"/>
    </animation>
    <animation direction="right">
      <frame index="39"/>
    </animation>
  </action>
  <action name="attack" imageset="base">
    <animation direction="down">
      <sequence start="5" end="8" delay="75"/>
      <end/>
    </animation>
    <animation direction="left">
      <sequence start="15" end="18" delay="75"/>
      <end/>
    </animation>
    <animation direction="up">
      <sequence start="25" end="28" delay="75"/>
      <end/>
    </animation>
    <animation direction="right">
      <sequence start="35" end="38" delay="75"/>
      <end/>
    </animation>
  </action>
</sprite>
